IAR Embedded Workbench for MSP430 4.21 and Windows 7

Technical Note 45523

Targets:
MSP430

Component:
Debugger

Updated:
5/9/2012 8:37 AM

Introduction

It is not possible to debug in IAR Embedded Workbench for MSP430 version 4.21 or older on a Windows 7 (or any 64-bit Windows) computer. This is a fact.

Background

On Windows 7 (or any 64-bit Windows) the FET debugger needs the "Windows driver package" (umpusbvista) USB driver. This driver is included in IAR Embedded Workbench for MSP430 version 5.10 and newer. However, this USB driver is incompatible with IAR Embedded Workbench for MSP430 version 4.21 and older.

Suggestion

The driver/firmware used by IAR Embedded Workbench for MSP430 version 4.21 and older is compatible with Windows XP (32 bit). One suggestion is to keep one USB-FET and a Windows XP computer, only to be used when maintaing older projects.

Comment 1

If needed, to move the FET between Windows XP with IAR Embedded Workbench for MSP430 version 4.21 (or older) and Windows 7 with IAR Embedded Workbench for MSP430 version 5.10 (or newer), the USB driver installed by 5.10 can be uninstalled and replaced by the USB driver from 4.21. This allows you to use the old FET (firmware) with version 5.xx. See Technical Note 52827 for detailed instructions. Note that this requires Windows 7 32-bit.

Comment 2

It may be possible to use IAR Embedded Workbench for MSP430 version 4.21 and the legacy FET probe firmware in Windows 7's "Windows XP mode", but this is not supported nor recommended.

 

All product names are trademarks or registered trademarks of their respective owners.

Related Tech Notes

© IAR Systems 1995-2016 - All rights reserved.